import 'dart:io';
import 'option.dart';
class Terminal{

  const Terminal();

  void printPrompt(String prompt){
    // Stdout -- instantiated automatically
      stdout.writeln(prompt);
  }


  String collectInput(){
    return stdin.readLineSync();
  }

  void printOptions(List<Option> options){
//
//    for (int i = 0; i < options.length; i++){
//      stdout.writeln('[$i] - ${options[i].label}');
//    }

    options.asMap().forEach((index, option){
      stdout.writeln('[$index] - ${option.label}');
    });

    stdout.writeln('Enter your choice:\n');
    stdout.write('>');
  }


  void ClearScreen(){
    // GET OS
    if(Platform.isWindows) {
      stdout.write('\x1B[2J\x1B[0f]');
    }else{
      stdout.write('\x1b[H\x1b[2J');
      // instructor code didn't work entirely
    //   stdout.write('\x1B[2J\x1B[3Jx1B[H');
    }
  }


}